Skip to content

Send an order with one single delivery per order line.

POST
/api-connector/order/single-delivery
curl --request POST \
--url https://api.tradecloud1.com/v2/api-connector/order/single-delivery \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "order": { "companyId": "00f03b98-2511-489f-9695-13791b3f66b6", "buyerParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "buyerAccountingParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "supplierAccountNumber": "12345", "supplierParty": { "id": "123", "idScheme": "GLN", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "countryName": "The Netherlands" }, "purchaseOrderNumber": "PO123456789", "description": "Any custom text about this order", "destination": { "code": "001", "names": [ "My Company Warehouse", "Dock 12" ], "addressLines": [ "Street 123", "Area 52" ], "postalCode": "1234 AB", "city": "Rotterdam", "countryCodeIso2": "NL", "locationType": "warehouse", "countryName": "The Netherlands" }, "terms": { "incotermsCode": "CIF", "incoterms": "ECT Rotterdam", "paymentTermsCode": "30D", "paymentTerms": "30 days" }, "indicators": { "confirmed": false, "shipped": false, "delivered": false, "completed": false, "cancelled": false, "cancelLineWhenMissing": false, "autoConfirm": false }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document" } ], "notes": [ "one note", "another note" ], "labels": [ "first label for this order", "second label for this order" ], "contact": { "email": "contact@yourcompany.com" }, "supplierContact": { "email": "contact@yourcompany.com" }, "orderType": "Purchase" }, "lines": [ { "position": "0002", "originalPosition": "0001", "row": "1", "lineType": "Item", "chargeReasonCode": "FC", "description": "Anything about this line", "item": { "number": "12345", "revision": "v2", "name": "Round tube ø60x45", "description": "Very nice round tube ø60 x 45", "purchaseUnitOfMeasureIso": "PCE", "supplierItemNumber": "67890", "dimensions": [ { "attribute": "mass", "measure": 5, "unitOfMeasureUnece": "KGM" } ] }, "itemDetails": { "countryOfOriginCodeIso2": "NL", "combinedNomenclatureCode": "6406 10 10", "netWeight": 41.241, "netWeightUnitOfMeasureIso": "KG", "dangerousGoodsCodeUnece": "0060", "serialNumber": "0x0000000000028000", "batchNumber": "#18001" }, "scheduledDelivery": { "date": "2019-12-31", "quantity": 1234.56, "transportMode": "Road transport" }, "actualDelivery": { "date": "2019-12-31", "quantity": 1234.56 }, "prices": { "grossPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "discountPercentage": 50, "netPrice": { "priceInTransactionCurrency": { "value": 1234.56, "currencyIso": "EUR" }, "priceInBaseCurrency": { "value": 1234.56, "currencyIso": "EUR" } }, "priceUnitOfMeasureIso": "PCE", "priceUnitQuantity": 100 }, "terms": { "contractNumber": "123456789", "contractPosition": "0001" }, "projectNumber": "PROJ12345", "productionNumber": "PROD12345", "salesOrderNumber": "SO123456789", "indicators": { "confirmed": false, "requestReconfirmation": false, "shipped": false, "delivered": false, "completed": false, "cancelled": false, "proposeWhenAccepted": false }, "properties": [ { "key": "color", "value": "red" } ], "documents": [ { "code": "123456789", "revision": "B", "name": "Tradecloud API Manual", "objectId": "00f03b98-2511-489f-9695-13791b3f66b6", "url": "https://my-company.com/storage/my_file.pdf", "type": "General", "description": "General document" } ], "notes": [ "one note", "another note" ], "labels": [ "first label for this line", "second label for this line" ], "reason": "Production schedule changed", "certification": { "typeCode": "C", "type": "Class Certificate", "classificationSocietyCode": "LR", "classificationSociety": "Lloyd'\''s Register" } } ], "erpIssueDateTime": "2019-12-31T10:11:12", "erpIssuedBy": { "email": "contact@yourcompany.com" }, "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "email": "contact@yourcompany.com" } }'

Send a new or updated purchase order by the buyer using one single delivery per order line. Requires Integration role. The scheduledDelivery and actualDelivery properties are merged for lines that contain an originalPosition. In this case, they are merged into the the delivery schedule of line that contains a matching position. If an originalPosition is provided for which no line with a matching position is sent in, a BadRequest is returned.

Send order by buyer

object
order
required

The header of the purchase order.

object
companyId

The optional Tradecloud company ID of the buyer sending this order. Only needed when the integration user is authorized for multiple companies.

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
buyerParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string

Example

123
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

GLN
names

The location names. It is recommended to provide at least one name.

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name.

string

Example

The Netherlands
buyerAccountingParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string

Example

123
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

GLN
names

The location names. It is recommended to provide at least one name.

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name.

string

Example

The Netherlands
supplierAccountNumber
required

The supplier account code or number as known in your ERP system and added to the supplier connection in the Tradecloud portal.

string

Example

12345
supplierParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string

Example

123
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string

Example

GLN
names

The location names. It is recommended to provide at least one name.

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
countryName

Optional country name.

string

Example

The Netherlands
purchaseOrderNumber
required

The purchase order number as known in your ERP system.

string

Example

PO123456789
description

A free format order description or reference

string

Example

Any custom text about this order
destination
required

The delivery destination of this order as known in your ERP system.

object
code

Destination location code or number. The code should be unique in your ERP system and immutable.

string

Example

001
names

The location names. It is recommended to provide at least one name.

Array<string>

Example

[
"My Company Warehouse",
"Dock 12"
]
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>

Example

[
"Street 123",
"Area 52"
]
postalCode

Location postal code

string

Example

1234 AB
city

Location city

string

Example

Rotterdam
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2

Example

NL
locationType

Destination location type.

string

Example

warehouse
countryName

The country name.

string

Example

The Netherlands
terms

The order terms as agreed with your supplier.

object
incotermsCode

Incoterms code according to ICC Incoterms 2020.

string format: ICC Incoterms 2020

Example

CIF
incoterms

The incoterms named place (delivery, terminal, port or destination).

string

Example

ECT Rotterdam
paymentTermsCode

The payment terms code as defined in your ERP system.

string

Example

30D
paymentTerms

The payment terms text as defined in your ERP system.

string

Example

30 days
indicators

Use optional order level indicators to provide additional order or line state.

object
confirmed

All goods of this order are confirmed by the supplier, according to the buyer.

boolean

Example

false
shipped

All goods of this order are shipped by the supplier, according to the buyer.

boolean

Example

false
delivered

Marks the order as delivered at the buyer. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.

boolean

Example

false
completed

The order has been completed at the buyer.

boolean

Example

false
cancelled

The order has been cancelled by the buyer.

boolean

Example

false
cancelLineWhenMissing

If this flag set to true and existing order lines positions are not present among incoming lines then they will be cancelled. This only works when this indicator is set on order level in the POST /order API

boolean

Example

false
autoConfirm

If this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.

boolean

Example

false
properties

Key-value based custom fields. Properties are optional.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
documents

Document references and meta data. The total number of documents is limited to 100 documents per order header. If a document has the same code as an existing order document, the original order document is overwritten. Otherwise, the newly attached document is appended.

Array<object>

Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.

object
code

Document code or number. The document code should be unique within your company and immutable.

string

Example

123456789
revision

Document revision (or version) code or number

string

Example

B
name

Document short name

string

Example

Tradecloud API Manual
objectId

Tradecloud object identifier which was returned by the Tradecloud object-storage API upload

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
description

Description of the attached document.

string

Example

General document
notes

String based custom fields. Use \n for a new line. Notes are optional.

Array<string>

Example

[
"one note",
"another note"
]
labels

Value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.

Array<string>

Example

[
"first label for this order",
"second label for this order"
]
contact

The employee who is responsible for or who added, updated or responded to this order.

object
email

Employee email as known in Tradecloud.

string format: email

Example

contact@yourcompany.com
supplierContact

The employee who is responsible for or who added, updated or responded to this order.

object
email

Employee email as known in Tradecloud.

string format: email

Example

contact@yourcompany.com
orderType

The optional order type, one of:

  • Purchase - This is a purchase order (default).
  • Forecast - This is a forecast order.
  • RFQ - This is a request for quotation order.
string
default: Purchase
Allowed values: Purchase Forecast RFQ
lines
required

The lines of the purchase order with one single delivery per order line. You only have to send the lines which are new or updated. The total number of lines is limited to 500 lines per order. An empty array is allowed; when combined with order.indicators.cancelLineWhenMissing=true, this will cancel all existing lines.

Array<object>

A purchase order line contains at least the position, item and a scheduled delivery. Lines with the same item, prices and terms will be grouped by Tradecloud into one order line with a combined delivery schedule.

object
position
required

Required position identifier in the purchase order. The position should be unique within the order and immutable.

string format: digits

Example

0002
originalPosition

Optional position referencing the original order line when the line has been split by either the supplier or buyer as part of a delivery schedule.

string format: digits

Example

0001
row

Row label for this position. Only use a row when there is a distinction between position and row in your ERP system. Do NOT use row as identifier.

string format: digits

Example

1
lineType

The optional order line type set by the buyer or supplier, one of:

  • Item - This is an item line (default).
  • Service - This is a service line.
  • Charge - This is a charge line.
string
default: Item
Allowed values: Item Service Charge
chargeReasonCode

The optional charge reason code set by the buyer or supplier, in case of a charge line.

string format: UNCL7161

Example

FC
description

A free format line description or reference.

string

Example

Anything about this line
item
required

The item (or article, goods) to be delivered.

object
number

The item code or number as known in your ERP system. An item number should be unique within your ERP system and immutable.

string

Example

12345
revision

The revision (or version) of this item.

string

Example

v2
name
required

The short name of this item.

string

Example

Round tube ø60x45
description

The optionally long description of this item.

string

Example

Very nice round tube ø60 x 45
purchaseUnitOfMeasureIso
required

The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

PCE
supplierItemNumber

The item code or number as known by your supplier. Advised in case of wholesale suppliers.

string

Example

67890
dimensions

Zero, one or more dimensions related to the item

Array<object>

Defines measurable dimensions (length, width, area, mass or volume) of an item.

object
attribute
required

Measurable dimension type of the item.

string

Example

mass
measure
required

Measurement value.

integer

Example

5
unitOfMeasureUnece
required

The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

KGM
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string

Example

NL
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string

Example

6406 10 10
netWeight

Net weight of one item

number format: float

Example

41.241
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string

Example

KG
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport

string

Example

0060
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string

Example

0x0000000000028000
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string

Example

#18001
scheduledDelivery

The requested planned delivery line by the buyer. Use this field as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead. Tradecloud will transform the scheduledDelivery of order lines with the same originalPosition into one order line having one delivery schedule. This will be merged into the orderLine that has a position that matches the originalPositions of the split lines.

object
date
required

The requested delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity
required

The requested quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.

string

Example

Road transport
actualDelivery

The actual delivery at the buyer. Use this field as an alternative for the deliveryHistory field if your ERP system does not support a deliveryHistory within an order line natively and the delivery history is spread over multiple order lines instead. Tradecloud will transform the actualDelivery of order lines with the same originalPosition into one order line having one delivery history. This is merged into the orderLine that has a position that matches the given originalPosition.

object
date
required

The actual delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD

Example

2019-12-31
quantity
required

The actual delivered quantity of this delivery position. Quantity has a decimal format.

number

Example

1234.56
prices
required

Advised is to provide only netPrice or alternatively grossPrice together with discountPercentage.

object
grossPrice

Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Price value and currency fields.

object
value
required

Price value has a decimal format with any number of digits.

number

Example

1234.56
currencyIso
required

3-Letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Price value and currency fields.

object
value
required

Price value has a decimal format with any number of digits.

number

Example

1234.56
currencyIso
required

3-Letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
discountPercentage

The discount percentage. Use together with grossPrice.

number

Example

50
netPrice

Provide a price in the transaction currency of the supplier, like CNY in China. If available provide a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Price value and currency fields.

object
value
required

Price value has a decimal format with any number of digits.

number

Example

1234.56
currencyIso
required

3-Letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceInBaseCurrency

Price value and currency fields.

object
value
required

Price value has a decimal format with any number of digits.

number

Example

1234.56
currencyIso
required

3-Letter currency code according to ISO 4217.

string format: ISO 4217

Example

EUR
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string

Example

PCE
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number

Example

100
terms

Contract framework as agreed with your supplier.

object
contractNumber

The contract framework code or number associated with this line.

string

Example

123456789
contractPosition

Position in the framework contract associated with this line.

string format: digits

Example

0001
projectNumber

Project code or number associated with this line.

string

Example

PROJ12345
productionNumber

Production code or number associated with this line.

string

Example

PROD12345
salesOrderNumber

Sales order code or number associated with this line.

string

Example

SO123456789
indicators
object
confirmed

All goods of this order line are confirmed by the supplier, according to the buyer. When lines are grouped into a delivery schedule, only the parent order line will become confirmed when all lines are confirmed.

boolean

Example

false
requestReconfirmation

If this flag is set to true, then the supplier is requested to reconfirm the order line. When lines are grouped into a delivery schedule, the parent order line has to be reconfirmed.

boolean

Example

false
shipped

All goods of this order line are shipped by the supplier, according to the buyer. When lines are grouped into a delivery schedule, this line will become shipped and the parent order line will become shipped when all lines are marked as shipped.

boolean

Example

false
delivered

Marks the order line as delivered at the buyer. When lines are grouped into a delivery schedule, this line will become delivered and the parent order line will become delivered when all lines are marked as delivered. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.

boolean

Example

false
completed

The order line has been completed at the buyer. When lines are grouped into a delivery schedule, only the parent order line will become completed when all lines are marked as completed.

boolean

Example

false
cancelled

The order line has been cancelled by the buyer. When lines are grouped into a delivery schedule, this line will be removed from the delivery schedule, and the parent order line will become cancelled when all lines are marked as cancelled.

boolean

Example

false
proposeWhenAccepted

If set to true, when supplier confirms a line then this line becomes a proposal. When lines are grouped into a delivery schedule, only the parent order line will become a proposal.

boolean

Example

false
properties

Key-value based custom fields. Properties are optional.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string

Example

color
value
required

The value of the custom field. Use \n for a new line.

string

Example

red
documents

Document references and meta data. The total number of documents is limited to 100 documents per order line. If a document has the same code as an existing order line document, the original order line document is overwritten. Otherwise, the newly attached document is appended.

Array<object>

Either use the Tradecloud object-storage API to upload your document, or your company’s content server, or provide only document meta data.

object
code

Document code or number. The document code should be unique within your company and immutable.

string

Example

123456789
revision

Document revision (or version) code or number

string

Example

B
name

Document short name

string

Example

Tradecloud API Manual
objectId

Tradecloud object identifier which was returned by the Tradecloud object-storage API upload

string format: uuid

Example

00f03b98-2511-489f-9695-13791b3f66b6
url

Location of the document if is not stored in Tradecloud.

string format: url

Example

https://my-company.com/storage/my_file.pdf
type

The type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string

Example

General
description

Description of the attached document.

string

Example

General document
notes

String based custom fields. Use \n for a new line. Notes are optional.

Array<string>

Example

[
"one note",
"another note"
]
labels

Value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier. Labels are optional.

Array<string>

Example

[
"first label for this line",
"second label for this line"
]
reason

Optional reason for a (re)issued, reopened or cancelled order line.

string

Example

Production schedule changed
certification

3th party certification requirements by buyer.

object
typeCode

Certification Type code

string

Example

C
type

Human readable Certification Type

string

Example

Class Certificate
classificationSocietyCode

Classification Society code

string

Example

LR
classificationSociety

Human readable Classification Society

string

Example

Lloyd's Register
erpIssueDateTime

ISO local date and time at which the order was originally issued in your ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpIssuedBy

The employee who is responsible for or who added, updated or responded to this order.

object
email

Employee email as known in Tradecloud.

string format: email

Example

contact@yourcompany.com
erpLastChangeDateTime

ISO local date and time at which the order was updated in your ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpLastChangedBy

The employee who is responsible for or who added, updated or responded to this order.

object
email

Employee email as known in Tradecloud.

string format: email

Example

contact@yourcompany.com

Successfully verified and sent order.

Successfully queued order. The order has not yet been verified.

Bad request, the user should check the response body for more info.

object
code
required
string
message
required
string

Example

{
"code": "invalid.original.position",
"message": "Could not merge lines with originalPosition=001, because no line is provided with this position"
}

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token. May or may not contain a structured response body

Media type*/*
object
message
required
string

Example

Authentication failed
attemptsLeft

The number of authentication attempts left before the user is banned. Applicable when authentication through Basic Authentication fails.

integer

Example

2
banned

Int describing the number of seconds left before the user is allowed to attempt a login with Basic Authentication again.

integer

Example

300

Not authorized, the user is authenticated but does not have the necessary permission.

Media type*/*
object
message
required
string

Example

Not authorized for this action

Supplier not found.

An unexpected error occurred, Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
code
required
string

Example

some.error
message
required
string

Example

Some error occurred
cause

The cause of this error. Free-format JSON object.

object

Service is not healthy (bad gateway), Tradecloud ops will be alerted. Will not contain a structured response body.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
message
required
string

Example

Could not retrieve data from external source.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted. Will not contain a structured response body.